| Haskell Hierarchical Libraries (base package) | Source code | Contents | Index

Data.FunctorM

Portability | portable
Stability | provisional
Maintainer | libraries@haskell.org

Description
fmapM generalises fmap, just as mapM generalises map. NOTE: This module is DEPRECATED. The classes in Data.Foldable and Data.Traversable provide a more general interface.
Documentation
class FunctorM f where

Methods

fmapM :: Monad m => (a -> m b) -> f a -> m (f b)
fmapM_ :: Monad m => (a -> m b) -> f a -> m ()

Instances

FunctorM Maybe
FunctorM []
Ix i => FunctorM (Array i)

Produced by Haddock version 0.8